Package: org.codehaus.groovy.binding

## [Java] Class MutualPropertyBinding

- org.codehaus.groovy.binding.MutualPropertyBinding

- All Implemented Interfaces and Traits:
    FullBinding

      public class MutualPropertyBinding

  Since:
    Groovy 1.6

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Closure` | `converter`
    `Closure` | `reverseConverter`
    `SourceBinding` | `sourceBinding`
    `TargetBinding` | `targetBinding`
    `Closure` | `validator`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `bind()`
    `` | `Closure` | `getConverter()`
    `` | `Closure` | `getReverseConverter()`
    `` | `SourceBinding` | `getSourceBinding()`
    `` | `TargetBinding` | `getTargetBinding()`
    `` | `Closure` | `getValidator()`
    `` | `void` | `rebind()`
    `` | `protected void` | `rebuildBindings()`
    `` | `void` | `reverseUpdate()`
    `` | `void` | `setConverter(Closure converter)`
    `` | `void` | `setReverseConverter(Closure reverseConverter)`
    `` | `void` | `setSourceBinding(SourceBinding sourceBinding)`
    `` | `void` | `setTargetBinding(TargetBinding targetBinding)`
    `` | `void` | `setValidator(Closure validator)`
    `` | `void` | `unbind()`
    `` | `void` | `update()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Closure converter

    - #### Closure reverseConverter

    - #### SourceBinding sourceBinding

    - #### TargetBinding targetBinding

    - #### Closure validator

  - ### Method Detail

    - #### public void bind()

    - #### public Closure getConverter()

    - #### public Closure getReverseConverter()

    - #### public SourceBinding getSourceBinding()

    - #### public TargetBinding getTargetBinding()

    - #### public Closure getValidator()

    - #### public void rebind()

    - #### protected void rebuildBindings()

    - #### public void reverseUpdate()

    - #### public void setConverter(Closure converter)

    - #### public void setReverseConverter(Closure reverseConverter)

    - #### public void setSourceBinding(SourceBinding sourceBinding)

    - #### public void setTargetBinding(TargetBinding targetBinding)

    - #### public void setValidator(Closure validator)

    - #### public void unbind()

    - #### public void update()